Skip to main content
GET
List custom fields

Authorizations

Api-Token
string
header
required

Server-to-server authentication. Generate a token in the admin UI at Settings → Developers → API Access. Send the raw token in the Api-Token header — there is no Bearer prefix.

Tokens can be marked read-only at creation time, in which case the API rejects any non-GET request with 403 Forbidden.

Query Parameters

page
integer
default:1

The collection page number

itemsPerPage
integer
default:30

The number of items per page

Required range: 0 <= x <= 100
pagination
boolean

Enable or disable pagination

tenant
string
tenant[]
string[]
discriminator
string
discriminator[]
string[]
event
string
event[]
string[]
isEncrypted
boolean
isEncrypted[]
boolean[]
order[position]
enum<string>
default:asc
Available options:
asc,
desc
order[name]
enum<string>
default:asc
Available options:
asc,
desc
order[fieldType]
enum<string>
default:asc
Available options:
asc,
desc

Response

200 - application/json

CustomField collection

id
integer
read-only
tenant
string<iri-reference>
Example:

"/api/v1/tenants/1"

name
string
fieldType
string
fieldOptions
(string | null)[] | null
position
integer | null
conditionedField
unknown
conditionedValue
string | null
isOnlyAdmin
boolean | null
default:false
visibility
string
default:public
isEncrypted
boolean
default:false
discriminator
string | null
default:profile
fileConfig
(string | null)[] | null
exampleMedia
object | null